Name:		mesa-demos
Version: 	8.2.0
Release: 	1
Summary:	Demos for Mesa (OpenGL compatible 3D lib)
Group:		Graphics
License:	MIT
URL:		http://www.mesa3d.org
Source0:	ftp://ftp://ftp.freedesktop.org/pub/mesa/demos/%{version}/%{name}-%{version}.tar.bz2
Source4:	Mesa-icons.tar.bz2

BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(glew)
# Not essential, but builds more demos:
BuildRequires:	pkgconfig(glut)
BuildRequires:	pkgconfig(egl)

Requires:	glxinfo = %{version}

%package -n	glxinfo
Summary:	Commandline GLX information tool
Group:		Graphics
Conflicts:	mesa-demos < 7.7-4

%description
Mesa is an OpenGL 3.x compatible 3D graphics library.

This package contains some demo programs for the Mesa library.

%description -n	glxinfo
Mesa is an OpenGL 3.x compatible 3D graphics library.

This package contains the glinfo & glxinfo GLX information utility.

%prep
%setup -q
%apply_patches

perl -pi -e "s|\.\./images/|%{_libdir}/mesa-demos-data/|" src/*/*.c
perl -pi -e "s,\"(.*?)\.(dat|vert|geom|frag)\",\"%{_libdir}/mesa-demos-data/\$1.\$2\",g" src/*/*.c
perl -pi -e "s|isosurf.dat|%{_libdir}/mesa-demos-data/isosurf.dat|" src/*/isosurf.c


%build
LIB_DIR=%{_lib}
INCLUDE_DIR=%{buildroot}/%{_includedir}
export LIB_DIR INCLUDE_DIR DRI_DRIVER_DIR

autoreconf -fvi
%configure2_5x --with-system-data-files
%make

%install
%makeinstall_std

# (fg) So that demos at least work :)
cp -a src/*/*.{frag,vert,geom} %{buildroot}/%{_datadir}/%{name}

# (tv) fix conflict with bitmap:
mv %{buildroot}%{_bindir}/bitmap{,-gl}

# (blino) install some egl test apps as well
for p in eglgears_screen eglgears_x11 eglinfo eglkms egltri_screen egltri_x11 peglgears xeglgears xeglthreads; do
    install -m755 src/egl/opengl/$p %{buildroot}%{_bindir}
done

# icons for three demos examples [we lack a frontend
# to launch the demos obviously]
install -m 755 -d %{buildroot}%{_miconsdir}
install -m 755 -d %{buildroot}%{_iconsdir}
install -m 755 -d %{buildroot}%{_liconsdir}
tar jxvf %{SOURCE4} -C %{buildroot}%{_iconsdir}

%files
%{_bindir}/*
%exclude %{_bindir}/glxinfo
%exclude %{_bindir}/glinfo
%dir %{_datadir}/%{name}
%{_miconsdir}/*demos*.png
%{_iconsdir}/*demos*.png
%{_liconsdir}/*demos*.png
%{_datadir}/%{name}/*

%files -n glxinfo
%{_bindir}/glxinfo
%{_bindir}/glinfo

%changelog
* Mon Jul 07 2014 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 8.2.0-1
+ Revision: d266078
- Merged


